package com.yeejoin.amos.boot.module.jg.biz.service;

import com.yeejoin.amos.feign.workflow.model.*;

import java.util.List;

/**
 * @author Administrator
 */
public interface ICmWorkflowService {
    List<ProcessTaskDTO> startBatch(ActWorkflowBatchDTO params);

    ProcessTaskDTO completeOrReject(String taskId, TaskResultDTO data, String operate);

    ProcessTaskDTO rollBack(String processInstanceId);

    ProcessTaskDTO assign(FlowTaskVo taskVo);
}
